"""tokens for driver and passenger

Revision ID: 891da36d9cc9
Revises: b48917f55d7b
Create Date: 2018-09-17 15:52:36.199182

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '891da36d9cc9'
down_revision = 'b48917f55d7b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('driver', sa.Column('token', sa.String(length=32), nullable=True))
    op.add_column('driver', sa.Column('token_expiration', sa.DateTime(), nullable=True))
    op.create_index(op.f('ix_driver_token'), 'driver', ['token'], unique=True)
    op.add_column('passenger', sa.Column('token', sa.String(length=32), nullable=True))
    op.add_column('passenger', sa.Column('token_expiration', sa.DateTime(), nullable=True))
    op.create_index(op.f('ix_passenger_token'), 'passenger', ['token'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_passenger_token'), table_name='passenger')
    op.drop_column('passenger', 'token_expiration')
    op.drop_column('passenger', 'token')
    op.drop_index(op.f('ix_driver_token'), table_name='driver')
    op.drop_column('driver', 'token_expiration')
    op.drop_column('driver', 'token')
    # ### end Alembic commands ###
